Bug 24969 - SMTPAppender should be able to do auth
SMTPAppender should be able to do auth
Status: RESOLVED FIXED
Product: Log4j
Classification: Unclassified
Component: Appender
unspecified
Other Linux
: P3 enhancement
: ---
Assigned To: log4j-dev
http://jakarta.apache.org/log4j/docs/...
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2003-11-25 12:12 UTC by Ralf Hauser
Modified: 2006-08-31 12:29 UTC (History)
0 users



Attachments
Patch file to add AUTH support to the email appender (2.39 KB, patch)
2005-04-25 16:35 UTC, Evan
Details | Diff
Improved AUTH patch (2.51 KB, patch)
2005-04-26 15:32 UTC, Evan
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Hauser 2003-11-25 12:12:14 UTC
Due to the UCE aka Spam pest, more and more smtp servers get protected by
login/password.

It would be great if the SMTPAppender could also send out mails via such smtp
servers!
Comment 1 Ralf Hauser 2003-12-09 09:15:38 UTC
see also Bug 25355 for link confidentiality for such outgoing mails
Comment 2 Evan 2005-04-25 16:35:31 UTC
Created attachment 14831 [details]
Patch file to add AUTH support to the email appender

Add the following to your appender config to allow SMTP server authentication:

<param name="SMTPUsername" value="username"/>
<param name="SMTPPassword" value="password"/>

If either the username or password are missing the appender will behave as
before.
Comment 3 Evan 2005-04-26 15:32:25 UTC
Created attachment 14843 [details]
Improved AUTH patch

Improved the patch to include an SMTPDebug option (this enables mail session
debugging).

Add the following to your appender config to allow SMTP server authentication:

<param name="SMTPUsername" value="username"/>
<param name="SMTPPassword" value="password"/>
<param name="SMTPDebug" value="true"/>

If either the username or password are missing the appender will behave as
before.
Comment 4 Curt Arnold 2006-08-31 19:29:31 UTC
Modified patch committed in rev 439024 (1.2) and 430925 (trunk).  Added extension point createSession() 
if you want to do other types of authentication in extended classes.